Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.permissionsmanager
Class PermissionsXML

    java.lang.Object
      org.jasig.portal.channels.permissionsmanager.PermissionsXML

    public class PermissionsXML

extends java.lang.Object

The class responsible for generating the monolithic XML file for CPermissionsManager

Version:
  $Revision: 1.17 $
Author:
  Alex Vigdor

Field Summary
`private static org.apache.commons.logging.Log` | `log`

Constructor Summary
`protected` | `PermissionsXML()` Creates new PermissionsXML

Method Summary
`static org.w3c.dom.Element` | `addTargetToOwnerElement(IPermissible owner, org.w3c.dom.Element ownerEl, java.lang.String target)`
`static void` | `autoSelectSingleChoice(PermissionsSessionData session, java.lang.String tagname)` put your documentation comment here
`static org.w3c.dom.Element` | `getOwner(PermissionsSessionData session, java.lang.String ipermissible)`
`static java.lang.String[]` | `getSelectedActivities(PermissionsSessionData session, org.w3c.dom.Element owner)`
`static org.w3c.dom.Element[]` | `getSelectedOwners(PermissionsSessionData session)`
`static java.lang.String[]` | `getSelectedTargets(PermissionsSessionData session, org.w3c.dom.Element owner)`
`static org.w3c.dom.Document` | `getViewDoc(PermissionsSessionData session)`
`static org.w3c.dom.Document` | `getViewDoc(PermissionsSessionData session, boolean forceRefresh)`
`static void` | `populatePrincipals(PermissionsSessionData session)`
`static void` | `setSelected(PermissionsSessionData session, java.lang.String ipermissible, java.lang.String type, java.lang.String token, boolean selected)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

Constructor Detail

### PermissionsXML

    protected PermissionsXML()

  Creates new PermissionsXML

Method Detail

### getViewDoc

    public static org.w3c.dom.Document getViewDoc(PermissionsSessionData session)

  Parameters:
    `session` -
  Returns:
    a `Document`

### getViewDoc

    public static org.w3c.dom.Document getViewDoc(PermissionsSessionData session,
                                                  boolean forceRefresh)

### addTargetToOwnerElement

    public static org.w3c.dom.Element addTargetToOwnerElement(IPermissible owner,
                                                              org.w3c.dom.Element ownerEl,
                                                              java.lang.String target)

### setSelected

    public static void setSelected(PermissionsSessionData session,
                                   java.lang.String ipermissible,
                                   java.lang.String type,
                                   java.lang.String token,
                                   boolean selected)

### populatePrincipals

    public static void populatePrincipals(PermissionsSessionData session)

### autoSelectSingleChoice

    public static void autoSelectSingleChoice(PermissionsSessionData session,
                                              java.lang.String tagname)

  put your documentation comment here

  Parameters:
    `session` -
    `tagname` -

### getSelectedTargets

    public static java.lang.String[] getSelectedTargets(PermissionsSessionData session,
                                                        org.w3c.dom.Element owner)

### getSelectedActivities

    public static java.lang.String[] getSelectedActivities(PermissionsSessionData session,
                                                           org.w3c.dom.Element owner)

### getSelectedOwners

    public static org.w3c.dom.Element[] getSelectedOwners(PermissionsSessionData session)

### getOwner

    public static org.w3c.dom.Element getOwner(PermissionsSessionData session,
                                               java.lang.String ipermissible)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD